Package org.apache.iotdb.jdbc

# Class GroupedLSBWatermarkEncoder

java.lang.Object
org.apache.iotdb.jdbc.GroupedLSBWatermarkEncoder

All Implemented Interfaces:
  `WatermarkEncoder`

public class GroupedLSBWatermarkEncoder extends Object implements WatermarkEncoder

## Constructor Summary

Constructors
Constructor
Description
`GroupedLSBWatermarkEncoder(String secretKey, String bitString, int markRate, int minBitPosition)`

## Method Summary

Modifier and Type
Method
Description
`double`
`encodeDouble(double value, long timestamp)`
`float`
`encodeFloat(float value, long timestamp)`
`int`
`encodeInt(int value, long timestamp)`
`long`
`encodeLong(long value, long timestamp)`
`org.apache.tsfile.read.common.RowRecord`
`encodeRecord(org.apache.tsfile.read.common.RowRecord rowRecord)`
`static int`
`hashMod(String val, Integer base)`
`boolean`
`needEncode(long timestamp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GroupedLSBWatermarkEncoder

public GroupedLSBWatermarkEncoder(String secretKey, String bitString, int markRate, int minBitPosition)

## Method Details

### hashMod

public static int hashMod(String val, Integer base)

### needEncode

public boolean needEncode(long timestamp)

Specified by:
  `needEncode` in interface `WatermarkEncoder`

### encodeInt

public int encodeInt(int value, long timestamp)

Specified by:
  `encodeInt` in interface `WatermarkEncoder`

### encodeLong

public long encodeLong(long value, long timestamp)

Specified by:
  `encodeLong` in interface `WatermarkEncoder`

### encodeFloat

public float encodeFloat(float value, long timestamp)

Specified by:
  `encodeFloat` in interface `WatermarkEncoder`

### encodeDouble

public double encodeDouble(double value, long timestamp)

Specified by:
  `encodeDouble` in interface `WatermarkEncoder`

### encodeRecord

public org.apache.tsfile.read.common.RowRecord encodeRecord(org.apache.tsfile.read.common.RowRecord rowRecord)

Specified by:
  `encodeRecord` in interface `WatermarkEncoder`